/* 
    Table of content
    1. PROJECTS
    2. IMAGE
        2.1 Content-wrapper
        2.2 Image-wrapper
    3. HERO
    4. PORTFOLIO
    5. PERSON
    6. PROJECT
    7. BLOG
*/

/* 1. PROJECTS */
.hero-projects {
    overflow: hidden;
}

.hero-projects::after {
    content: '';
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    height: 13rem;
    background-color: white;
}

.hero-projects .container {
    position: relative;
    z-index: 1;
    padding-top: 20rem;
}

.hero-projects .container > .content-wrapper {
    max-width: var(--grid-size-md);
    margin: 0 auto;
    text-align: center;
}

.hero-projects .text-wrapper {
    max-width: var(--grid-size-xs);
    margin: 0 auto;
    font-size: 1.8rem;
}

.hero-projects .projects-wrapper {
    position: relative;
    margin-top: 8rem;
}

.hero-projects .projects-wrapper::before {
    content: '';
    position: absolute;
    top: -7.5rem;
    left: -7.5rem;
    width: 15rem;
    height: 15rem;
    background-image: url(../images/pattern-squaredots-white.svg);
    background-size: contain;
    background-position: center;
    opacity: .05;
}

.hero-projects .projects-wrapper::after {
    content: '';
    position: absolute;
    z-index: 1;
    bottom: 3rem;
    right: -12rem;
    width: 17.2rem;
    height: 10rem;
    background-image: url(../images/logo-bird.svg);
    background-size: cover;
    background-position: center;
}

.hero-projects .swiper {
    margin: -1rem;
    padding: 1rem;
}

.hero-projects .link-wrapper {
    height: 5rem;
    padding-right: var(--inner-padding);
    display: flex;
    justify-content: flex-end;
    align-items: flex-end;
}

.hero-projects .link {
    color: var(--color-darkgrey);
}

/* 2. IMAGE */
.hero-image {
    padding: 0;
    overflow: hidden;
}

/* 2.1 Content-wrapper */
.hero-image .content-wrapper {
    position: relative;
    z-index: 1;
    padding: 0 var(--grid-padding);    
}

.hero-image .content-wrapper::before {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-image: url(../images/pattern-lowpolybird-white.svg);
    background-repeat: no-repeat;
    background-size: auto 80%;
    background-position: calc( 50% + 40rem ) center;
    opacity: .1;
}

.hero-image .content-wrapper .container {
    position: relative;
    z-index: 1;
    padding-top: 20rem;
}

.hero-image .subtitle,
.hero-image h1 {
    max-width: 78rem;
}

.page-id-973 .hero-image .subtitle,
.page-id-973 .hero-image h1 {
    max-width: 80rem;
}

.hero-image .text-wrapper {
    max-width: var(--grid-size-sm);
    margin: 0 auto;
}

.hero-image h1 + .text-wrapper {
    margin-top: 5rem;
}

/* 2.2 Image-wrapper */
.hero-image .image-wrapper {
    position: relative;
    padding: 0 var(--grid-padding);
}

.hero-image .image-wrapper::before {
    content: '';
    position: absolute;
    top: 50%;
    left: 0;
    width: 100%;
    height: 50%;
    background-color: white;
}

.hero-image .image-wrapper .container {
    position: relative;
    width: 100%;
    height: 0;
    margin-top: 8rem;
    padding-top: 50%;    
}

.hero-image .image-wrapper .container::before {
    content: '';
    position: absolute;
    top: -7.5rem;
    left: -7.5rem;
    width: 15rem;
    height: 15rem;
    background-image: url(../images/pattern-squaredots-white.svg);
    background-size: contain;
    background-position: center;
    opacity: .05;
}

.hero-image .image-wrapper img {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    border-radius: var(--border-radius);
    object-fit: cover;
    object-position: center;
}

/* 3. HERO */
.hero {
    position: relative;
    overflow: hidden;
}

.page-id-592 .hero::after {
    content: '';
    position: absolute;
    top: 13rem;
    left: 60%;
    width: 50rem;
    height: 50rem;
    background-image: url(../images/logo-conceptgod-black.svg);
    background-size: contain;
    background-position: center;
    background-repeat: no-repeat;
    opacity: .04;
    animation: rotateSlowly 40s infinite linear;
}

.hero .container {
    position: relative;
    z-index: 1;
    padding-top: 20rem;
}

.hero .container > *:last-child {
    margin-bottom: 0;
}

.hero .subtitle,
.hero h1 {
    max-width: 78rem;
}

.hero .text-wrapper {
    max-width: var(--grid-size-sm);
    margin: 0 auto;
}

.hero h1 + .text-wrapper {
    margin-top: 5rem;
}

/* 4. PORTFOLIO */
.hero-portfolio {
    position: relative;
    overflow: hidden;
}

.hero-portfolio::after {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-image: url(../images/pattern-lowpolybird-white.svg);
    background-repeat: no-repeat;
    background-size: 39rem 66rem;
    background-position: calc( 50% + 54rem ) 12.5rem;
    opacity: .1;
}

.hero-portfolio .container {
    position: relative;
    z-index: 1;
    padding-top: 20rem;
}

.hero-portfolio .container > .content-wrapper {
    max-width: var(--grid-size-sm);
    margin: 0 auto;
    text-align: center;
}

.hero-portfolio .searchandfilter {
    margin-top: 4rem;
}

.hero-portfolio .searchandfilter ul {
    list-style-type: none;
    margin: 0;
    padding: 0;
}

.hero-portfolio .searchandfilter ul li {
    padding: 0;
}

.hero-portfolio .searchandfilter ul ul {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    gap: 1rem;
}

.hero-portfolio .searchandfilter ul li li {
    padding: 0;
}

.hero-portfolio .sf-input-radio {
    position: absolute;
    width: 0;
    height: 0;
    opacity: 0;
    appearance: none;
}

.hero-portfolio .sf-label-radio {
    padding: 1.25rem 2.25rem !important;
    border: .1rem solid white;
    border-radius: 5rem;
    background-color: transparent;
    font-size: 1.3rem;
    font-weight: 500;
    line-height: 1;
    letter-spacing: .2rem;
    text-transform: uppercase;
    cursor: pointer;
    transition: .3s;
}

.hero-portfolio .sf-label-radio:hover,
.hero-portfolio .sf-option-active .sf-label-radio {
    border-color: var(--color-yellow);
    background-color: var(--color-yellow);
    color: var(--color-darkgrey);
}

.hero-portfolio .grid {
    position: relative;
    margin-top: 8rem;
    display: grid;
    grid-template-columns: repeat( 4, 1fr );
    grid-auto-flow: dense;
    grid-gap: 3rem;
}

.hero-portfolio .grid::before {
    content: '';
    position: absolute;
    top: -7.5rem;
    left: -7.5rem;
    width: 15rem;
    height: 15rem;
    background-image: url(../images/pattern-squaredots-white.svg);
    background-size: contain;
    background-position: center;
    opacity: .05;
}

.hero-portfolio .project-tile.featured {
    background-size: auto calc(100% + 0.2rem);
    grid-column: span 2;
    padding-top: 71.08695652%;
}

/* 5. PERSON */
.hero-person {
    padding: 20rem 0 0;
}

.hero-person .container {
    padding: 0 var(--grid-padding);
    background: transparent;
    background: linear-gradient(90deg, transparent 50%, rgba(23,26,45,1) 50%);
}

.hero-person .inner-container {
    position: relative;
    z-index: 1;
    min-height: 60rem;
    display: grid;
    grid-template-columns: 1fr 1fr;
    align-items: center;
}

.hero-person .content-wrapper {
    position: relative;
    z-index: 3;
    padding-right: 10rem;
}

.hero-person .image-wrapper {
    position: relative;
    width: 100%;
    height: 100%;
}

.hero-person .image-wrapper::before {
    content: '';
    position: absolute;
    z-index: 2;
    right: 0;
    bottom: -10rem;
    width: 20rem;
    height: 20rem;
    background-image: url(../images/circle-devdesign-yellow.svg);
    background-size: contain;
    background-position: center;
    animation: rotateSlowly 40s infinite linear;
}

.hero-person .title {
    position: absolute;
    z-index: 2;
    top: 50%;
    left: calc( 50% - 25rem );
    font-family: "Reenie Beanie", cursive;
    font-size: 3rem;
    line-height: 1.3;
    color: white;
    transform: rotate(-10deg);
}

.hero-person .image {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: calc( 100% + 10rem );
    margin-top: -10rem;
}

.hero-person .image::before {
    content: '';
    position: absolute;
    bottom: 8rem;
    left: calc( 50% - 25rem );
    width: 15rem;
    height: 15rem;
    background-image: url(../images/pattern-squaredots-white.svg);
    background-size: contain;
    background-position: center;
    opacity: .05;
}

.hero-person .image img {
    position: relative;
    z-index: 1;
    width: 100%;
    height: 100%;
    object-fit: contain;
    object-position: center bottom;
}

/* 6. PROJECT */
.hero-project {
    overflow: hidden;    
}

.hero-project .bgimage {
    position: absolute;
    top: -3rem;
    right: -3rem;
    bottom: -3rem;
    left: -3rem;    
}

.hero-project .bgimage::before {
    content: '';
    position: absolute;
    z-index: 1;
    bottom: 0;
    left: 0;
    width: 100%;
    height: 11rem;
    background-color: white;
    background-image: url(../images/pattern-lines-black-005.svg);
    background-repeat: repeat-y;
    background-position: center top;
}

.hero-project .bgimage img {
    width: calc(100% + 6rem);
    height: calc(100% + 6rem);
    object-fit: cover;
    object-position: center;
    filter: blur(1.5rem);
}

.hero-project .arrows {
    position: absolute;
    z-index: 2;
    bottom: 13rem;
    left: var(--grid-padding);
    width: 3.4rem;
    height: 3.4rem;
    border-radius: 50%;
    background-color: var(--color-darkgrey);
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 2rem;
    line-height: 1;
    color: white;
    text-decoration: none;
}

.hero-project .arrows.right {
    left: inherit;
    right: var(--grid-padding);
}

.hero-project .arrows.light {
    background-color: white;
    color: var(--color-darkgrey);
}

.hero-project .container {
    position: relative;
    z-index: 1;
    min-height: 88rem;
    display: flex;
    align-items: flex-end;
}

.hero-project .media-wrapper {
    position: relative;
    width: 100%;
    height: 0;
    padding-top: 57.31694915%;
    background-image: url(../images/project-laptop.webp);
    background-size: auto 100%;
    background-position: center bottom;
}

.hero-project .media {
    position: absolute;
    z-index: -1;
    bottom: 7%;
    left: 12.4%;
    width: 76%;
    height: 90%;
    background-color: black;
}

.hero-project .media img {
    width: 100%;
    height: 100%;
    object-fit: contain;
    object-position: center top;
}

/* 7. BLOG */
.hero-blog .container {
    position: relative;
    z-index: 1;
    padding-top: 20rem;
}

.hero-blog .container > .content-wrapper {
    max-width: var(--grid-size-sm);
    margin: 0 auto;
    text-align: center;
}

.hero-blog .grid {
    margin-top: 8rem;
    display: grid;
    grid-template-columns: repeat( 3, 1fr );
    grid-gap: 3rem;
}

/* RESIZE */
@media (max-width: 1240px) {
    /* 1. PROJECTS */
    .hero-projects .swiper {
        overflow: visible;
    }

    .hero-projects .projects-wrapper::after {
        display: none;
    }

    /* 5. PERSON */
    .hero-person .title {
        left: 3rem;
    }
}

@media (max-width: 1140px) {
    /* 5. PERSON */
    .hero-person .content-wrapper {
        padding-right: 6rem;
    }

    /* 6. PROJECT */
    .hero-project .container {
        min-height: 78rem;
    }    
}

@media (max-width: 1024px) {
    /* 3. HERO */
    .page-id-592 .hero::after {
        display: none;
    }

    /* 4. PORTFOLIO */
    .hero-portfolio .grid {
        grid-template-columns: repeat( 3, 1fr );

    }

    /* 6. PROJECT */
    .hero-project .container {
        min-height: 68rem;
    } 

    /* 7. BLOG */
    .hero-blog .grid {
        grid-template-columns: repeat( 2, 1fr );
    }
}

@media (max-width: 899px) {
    /* 1. PROJECTS */
    .hero-projects .container {
        padding-top: 17rem;
    }

    .hero-projects .projects-wrapper {
        margin-top: 5rem;
    }

    .hero-projects .projects-wrapper::before {
        top: -6rem;
        left: -6rem;
        width: 12rem;
        height: 12rem;
    }

    /* 2. IMAGE */
    /* 2.1 Content-wrapper */
    .hero-image .content-wrapper .container {
        padding-top: 17rem;
    }

    .hero-image h1 + .text-wrapper {
        margin-top: 3rem;
    }

    /* 2.2 Image-wrapper */
    .hero-image .image-wrapper .container {
        margin-top: 7rem;
    }

    .hero-image .image-wrapper .container::before {
        top: -6rem;
        left: -6rem;
        width: 12rem;
        height: 12rem;
    }

    /* 3. HERO */
    .hero .container {
        padding-top: 17rem;
    }

    .hero h1 + .text-wrapper {
        margin-top: 3rem;
    }

    /* 4. PORTFOLIO */
    .hero-portfolio .container {
        padding-top: 17rem;
    }

    .hero-portfolio .grid {
        margin-top: 5rem;
    }

    .hero-portfolio .grid::before {
        top: -6rem;
        left: -6rem;
        width: 12rem;
        height: 12rem;
    }

    /* 5. PERSON */
    .hero-person {
        padding: 17rem 0 0;
    }

    .hero-person .container {
        position: relative;
        z-index: 1;
        background: var(--color-darkblue);
    }

    .hero-person .inner-container {
        grid-gap: 6rem;
    }

    .hero-person .content-wrapper {
        padding-right: 0;
        color: white;
    }

    .hero-person .content-wrapper .btn {
        border-color: white;
        color: white;
    }

    .hero-person .content-wrapper .btn:hover {
        border-color: var(--color-yellow);
        color: var(--color-darkgrey);
    }

    .hero-person .image-wrapper::before {
        bottom: -8rem;
        width: 16rem;
        height: 16rem;
    }

    .hero-person .title {
        left: 0;
    }

    .hero-person .image::before {
        width: 12rem;
        height: 12rem;
    }

    /* 6. PROJECT */
    .hero-project .container {
        min-height: 63rem;
    } 

    /* 7. BLOG */
    .hero-blog .container {
        padding-top: 17rem;
    }

    .hero-blog .grid {
        margin-top: 5rem;
    }
}

@media (max-width: 767px) {
    /* 1. PROJECTS */
    .hero-projects .link-wrapper {
        padding-right: 0;
    }

    /* 4. PORTFOLIO */
    .hero-portfolio .searchandfilter {
        margin-top: 3rem;
    }

    .hero-portfolio .grid {
        grid-template-columns: repeat( 2, 1fr );
    }

    /* 5. PERSON */
    .hero-person {
        padding: 12.4rem 0 0;
    }

    .hero-person .inner-container {
        grid-template-columns: 1fr;
        grid-gap: 0;
    }

    .hero-person .content-wrapper {
        padding-top: 7rem;
    }

    .hero-person .title {
        left: calc( 50% - 15rem );
    }

    .hero-person .image {
        position: relative;
        height: 45rem;
        margin-top: -5rem;
    } 

    .hero-person .image::before {
        left: calc( 50% - 17rem );
    }

    /* 6. PROJECT */
    .hero-project .container {
        min-height: 58rem;
    } 
}

@media (max-width: 599px) {
    /* 1. PROJECTS */
    .hero-projects .container {
        padding-top: 15rem;
    }

    .hero-projects .projects-wrapper::before {
        top: -5rem;
        left: -5rem;
        width: 10rem;
        height: 10rem;
    }

    /* 2. IMAGE */
    /* 2.1 Content-wrapper */
    .hero-image .content-wrapper .container {
        padding-top: 15rem;
    }

    /* 2.2 Image-wrapper */
    .hero-image .image-wrapper .container::before {
        top: -5rem;
        left: -5rem;
        width: 10rem;
        height: 10rem;
    }

    /* 3. HERO */
    .hero .container {
        padding-top: 15rem;
    }

    /* 4. PORTFOLIO */
    .hero-portfolio .container {
        padding-top: 15rem;
    }

    .hero-portfolio .grid {
        grid-gap: 2rem;
    }

    /* 5. PERSON */
    .hero-person {
        padding: 10.4rem 0 0;
    }

    .hero-person .image-wrapper::before {
        bottom: -6rem;
        width: 12rem;
        height: 12rem;
    }

    /* 6. PROJECT */
    .hero-project .arrows {
        bottom: 11rem;
        width: 3rem;
        height: 3rem;
        font-size: 1.6rem;
    }

    .hero-project .container {
        min-height: 48rem;
    } 

    /* 7. BLOG */
    .hero-blog .container {
        padding-top: 15rem;
    }

    .hero-blog .grid {
        margin-top: 4rem;
        grid-template-columns: 1fr;
        grid-gap: 2rem;
    }
}

@media (max-width: 499px) {
    /* 2. IMAGE */
    /* 2.2 Image-wrapper */
    .hero-image .image-wrapper .container {
        padding-top: 66.67%;
    }

    /* 4. PORTFOLIO */
    .hero-portfolio .grid {
        grid-gap: 1.5rem;
    }

    /* 6. PROJECT */
    .hero-project .container {
        min-height: 38rem;
    }
}

@media (max-width: 399px) {
    /* 6. PROJECT */
    .hero-project .container {
        min-height: 33rem;
    }
}

/* MOBILE */
@media (max-width: 899px) and (hover: none) and (pointer: coarse) {
    /* 5. PERSON */
    .hero-person .content-wrapper .btn:hover {
        border-color: inherit;
        color: inherit;
    }
}